Subject: Re: USE_GCC3 and USE_PKGSRC_GCC
To: None <>
From: Andreas_Hallmann <>
List: tech-pkg
Date: 12/04/2003 23:54:02
On Thu, Dec 04, 2003 at 10:02:28AM +1100, grant beattie wrote:
> in particular, USE_GCC3 forces lang/gcc3. USE_PKGSRC_GCC forces
> lang/gcc, but this is mostly historical and can probably go away now.

Three reasons to keep it:

1.Having a post egcs era, doesn't mean to have a post gcc era again in the future.
But keeping USE_PKGSRC_GCC would pay of this day.

2.Moreover it's sometimes useful to have different versions of a compiler around.
(Ever tried to compile gcc 2.95 with 2.71 ? You need 2.8x as an intermediate step.)

3.But this variable should at least still be useful in those ports to other non-gcc based
operation systems, or some with an historic version.

NetBSD: If you happen to have any problem with your uptime.